CentOS6でpipを使う

インストール

CentOS6 ではデフォルトでは pip が使えません。
pip をインストールするには EPELリポジトリ を有効にしておく必要があります。

EPEL が使えるのであれば以下でインストールできます。

  # yum install python-pip

アップグレードについて

pip を使うと以下のようなメッセージが出力されることがあります。

You are using pip version 7.1.0, however version 19.0.3 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.

上記に記載されている、、、

 # pip install --upgrade pip

このコマンドですが、yum などでインストールした場合には実行しないことをおすすめします。
自分の環境では、実行後 pip がまったく使えなくなってしまったので、結局アンインストールして入れ直しました(/_\*)

コメント

タイトルとURLをコピーしました